Data Flow Debug Session - Execute Command

Execute a data flow debug command.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/executeDataFlowDebugCommand?api-version=2018-06-01

URI Parameters

Name In Required Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The factory name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
command

DataFlowDebugCommandType

The command type.

commandPayload

DataFlowDebugCommandPayload

The command payload object.

sessionId

string

The ID of data flow debug session.

Responses

Name Type Description
200 OK

DataFlowDebugCommandResponse

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

DataFlowDebugSession_ExecuteCommand

Sample request

POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/executeDataFlowDebugCommand?api-version=2018-06-01

{
  "command": "executePreviewQuery",
  "commandPayload": {
    "rowLimits": 100,
    "streamName": "source1"
  },
  "sessionId": "f06ed247-9d07-49b2-b05e-2cb4a2fc871e"
}

Sample response

{
  "data": "some output",
  "status": "Succeeded"
}
Date: Sat, 16 Jun 2018 00:40:01 GMT
X-Content-Type-Options: nosniff
location: https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/operationResults/dfCommandOutput$$f06ed247-9d07-49b2-b05e-2cb4a2fc871e$$e5328ee7-c524-4207-8ba4-b709010db33d$$ace5eaf0-3e93-45ba-ada3-bf77da321a7b?api-version=2018-06-01
x-ms-correlation-request-id: 2f955e10-c6df-45a7-97d4-81acdb8540cd
x-ms-ratelimit-remaining-subscription-reads: 14989
x-ms-request-id: 2f955e10-c6df-45a7-97d4-81acdb8540cd

Definitions

Name Description
CloudError

The object that defines the structure of an Azure Data Factory error response.

DataFlowDebugCommandPayload

Structure of command payload.

DataFlowDebugCommandRequest

Request body structure for data flow debug command.

DataFlowDebugCommandResponse

Response body structure of data flow result for data preview, statistics or expression preview.

DataFlowDebugCommandType

The command type.

CloudError

The object that defines the structure of an Azure Data Factory error response.

Name Type Description
error.code

string

Error code.

error.details

CloudError[]

Array with additional error details.

error.message

string

Error message.

error.target

string

Property name/path in request associated with error.

DataFlowDebugCommandPayload

Structure of command payload.

Name Type Description
columns

string[]

Array of column names.

expression

string

The expression which is used for preview.

rowLimits

integer (int32)

Row limits for preview response.

streamName

string

The stream name which is used for preview.

DataFlowDebugCommandRequest

Request body structure for data flow debug command.

Name Type Description
command

DataFlowDebugCommandType

The command type.

commandPayload

DataFlowDebugCommandPayload

The command payload object.

sessionId

string

The ID of data flow debug session.

DataFlowDebugCommandResponse

Response body structure of data flow result for data preview, statistics or expression preview.

Name Type Description
data

string

The result data of data preview, statistics or expression preview.

status

string

The run status of data preview, statistics or expression preview.

DataFlowDebugCommandType

The command type.

Value Description
executePreviewQuery

executePreviewQuery

executeStatisticsQuery

executeStatisticsQuery

executeExpressionQuery

executeExpressionQuery